diff --git a/macro/tof/geometry/create_geopar_allsetups.sh b/macro/tof/geometry/create_geopar_allsetups.sh
old mode 100644
new mode 100755
index e756c275b264802a2f39aa7564aba98d91321664..c69dbaa95ad79a83ea6f2d742e19d7591506dc74
--- a/macro/tof/geometry/create_geopar_allsetups.sh
+++ b/macro/tof/geometry/create_geopar_allsetups.sh
@@ -4,7 +4,7 @@ VGEO=$1
 if [[ '' == ${VGEO} ]]; then
   echo "This script needs the geometry version as parameter. E.g.:"
   echo "source create_geopar_allsetups.sh v16c"
-  return
+  exit 1
 fi
 
 # Generate the 1h geo file